List Substack publication post index
List every post URL in a Substack publication sitemap.
Headers
Get your API keyAPI key (`sfk_...`)
A publication: its numeric id (`89120`), its Substack subdomain (`astralcodexten`), its host (`www.astralcodexten.com`) or its URL. A numeric id is refused with a 400 on the routes that need a subdomain, host or URL.
min 1 chars · max 400 chars
Endpoint-specific response payload.
Whether the publication was found.
one of: found, not_found, restricted
Why the publication is restricted, when it is.
one of: invite_only, flagged, paid, null
Numeric publication id.
False when the publication does not publish a sitemap.
Only `/p/{slug}` post URLs.
The URL from the sitemap.
`post` for a `/p/{slug}` URL; `page` for any other page.
one of: post, page
The post slug, for a post URL.
The last change the sitemap reports.
The change frequency the sitemap reports.
Sitemap URLs that are not posts, such as `/archive` and `/about`.
The URL from the sitemap.
`post` for a `/p/{slug}` URL; `page` for any other page.
one of: post, page
The post slug, for a post URL.
The last change the sitemap reports.
The change frequency the sitemap reports.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/substack/publications/astralcodexten/posts/index" \
-H "x-api-key: YOUR_API_KEY"Responses
Substack post index.